function outInfo=difinfo
%
%  DIFINFO  pomocna funkce pro SNU.
%
%  vystupem je datova struktura obsahujici seznam
%  demo programu pro reseni pocatecnich uloh pro
%  obycejnou diferencialni rovnici 1.radu
%
%  Josef Danek

% Initialize demo index number
n=0;

% ===============================================
% Jednokrokove metody
% ===============================================
n=n+1;
difList(n).Name='Jednokrokové metody';
difList(n).Type='Diferenciální rovnice';
difList(n).Help= {
    ' U jednokrokových metod používáme k výpočtu hodnoty '
    ' y(k+1) pouze hodnoty y(k).'
};
difList(n).DemoList= {
    'Eulerova metoda',
    '   Příklad 1'
    '   Příklad 2'
    'Metoda Taylorova typu'
    '   Příklad 1'
    '   Příklad 2'
    'Runge-Kuttovy metody',
    '   Modifikovaná Eulerova metoda',
    '      Příklad'
    '   Heunova metoda',
    '      Příklad'
    'Porovnání jednokrokových metod',
    '   Příklad 1'
    '   Příklad 2'
    '   Příklad 3'
    '   Příklad 4'
};

difList(n).FcnList= {
    '',
    'testuj 7 pr001',
    'testuj 7 pr002',
    '',
    'testuj 7 pr003',
    'testuj 7 pr004',
    '',
    '',
    'testuj 7 pr005',
    '',
    'testuj 7 pr006',
    '',
    'testuj 7 pr007',
    'testuj 7 pr008',
    'testuj 7 pr009',
    'testuj 7 pr010',
};

% ===============================================
% Vicekrokove metody
% ===============================================
n=n+1;
difList(n).Name='Vícekrokové metody';
difList(n).Type='Diferenciální rovnice';
difList(n).Help= {...           
    ' U vícekrokových metod používáme k výpočtu hodnoty '
    ' y(k+1) více předchozích hodnot: y(k), y(k-1), ....'
};
difList(n).DemoList= {
  ' '
};

difList(n).FcnList= {
  ' ' 
};


outInfo=difList;



















